Subject: Re: bug#60984: 30.0.50; c-ts-mode: indentation styles broken after new brace code

From: Stefan Kangas <[email-masked]>
Date: Tue, 5 Sep 2023 17:06:44 -0700

Yuan Fu <[email-masked]> writes:

> Theodor Thornhill <[email-masked]> writes:
>
>> Hi!
>>
>> It seems there has been some regressions wrt indentation styles with the
>> new brace counting code - for example with bsd style:
>>
>> Previously:
>>
>> int
>> main()
>> {
>>   if (x)
>>   {
>>
>>   }
>>   else
>>   {
>>
>>   }
>> }
>>
>> now:
>>
>> int
>> main()
>> {
>>   if (x)
>>   {
>>
>>     }
>>   else
>>   {
>>
>>     }
>> }
>>
>> I'll try to tweak the code so that all indentation styles work and add
>> tests.
>>
>> Theo
>
> Yeah sorry about that, I think this is fixed now.

No further comments within 9 months, so I'm assuming this is fixed.

I'm therefore closing this bug report.